﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {

        List<LayoutToLayoutTarget> targets = new List<LayoutToLayoutTarget>();
        List<LayoutToLayoutHost> hosts = new List<LayoutToLayoutHost>();
        int numItems = 7;

        public Window1()
        { 
            InitializeComponent();
            IniComponent();
        }

        private void IniComponent()
        {
            for (int i = 0; i < this.numItems; i++)
            {
                LayoutToLayoutTarget target = new LayoutToLayoutTarget();
                target.MinWidth = 80;
                target.MinHeight = 50;
                this.targets.Add(target);
                this.uniformGrid1.Children.Add(target);
             
                LayoutToLayoutHost host = new LayoutToLayoutHost();
                this.hosts.Add(host);
                this.canvas1.Children.Add(host);//先将host放在Canvas中

                Button demoButton = new Button();
                demoButton.Content = "# " + i;
                host.Child = demoButton;

                host.BindToTarget(target);
            }


            this.btn1.Click += new RoutedEventHandler(btn1_Click);
            this.btn2.Click += new RoutedEventHandler(btn2_Click);
        }

        void btn2_Click(object sender, RoutedEventArgs e)
        {
            this.stackPanel1.Children.Clear();
            this.uniformGrid1.Children.Clear();

            foreach (LayoutToLayoutTarget target in this.targets)
            {

                this.stackPanel1.Children.Add(target);
            }


            foreach (LayoutToLayoutHost host in this.hosts)
            {
                host.BeginAnimating(false);
            }

        }

        void btn1_Click(object sender, RoutedEventArgs e)
        {
            this.stackPanel1.Children.Clear();
            this.uniformGrid1.Children.Clear();

            foreach (LayoutToLayoutTarget target in this.targets)
            {

                this.uniformGrid1.Children.Add(target);
            }

            foreach (LayoutToLayoutHost host in this.hosts)
            {
                host.BeginAnimating(false);
            }

        }

       





    }
}
